IF COL_LENGTH('CRM_Contactos', 'Id_Contacto_Padre') IS NULL
BEGIN
	ALTER TABLE CRM_Contactos ADD Id_Contacto_Padre INT
	
	CREATE INDEX IX_CRCT_PorId_Contacto_Padre ON CRM_Contactos (Id_Contacto_Padre)
	
	ALTER TABLE CRM_Contactos ADD CONSTRAINT FK_CRCT_PorId_Contacto_Padre FOREIGN KEY ( Id_Contacto_Padre) REFERENCES CRM_Contactos (Id_Contacto)
END
GO
